Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.solutions.identity.relyingparty
Class TokenVerifierConstants

    java.lang.Object
      org.wso2.solutions.identity.relyingparty.TokenVerifierConstants

    public class TokenVerifierConstants

extends java.lang.Object

Constants of the SAML token verifier

Field Summary
`static java.lang.String` | `ATTR_NAME` Name attribute of the `Property` element
`static java.lang.String` | `ATTR_STATE`
`static java.lang.String` | `FAILURE_REASON` Reason for the failure
`static java.lang.String` | `ISSUER_INFO`
`static java.lang.String` | `ISSUER_MANAGED`
`static java.lang.String` | `ISSUER_SELF`
`static java.lang.String` | `LN_CERTIFICATE`
`static java.lang.String` | `LN_ISSUER`
`static java.lang.String` | `LN_ISSUER_INFO`
`static java.lang.String` | `LN_PROPERTIES`
`static java.lang.String` | `LN_PROPERTY` Property element local name
`static java.lang.String` | `LN_REQ` Request element local name
`static java.lang.String` | `LN_RESP` Response element local name
`static java.lang.String` | `LN_SIGNING_CERT`
`static java.lang.String` | `LN_TOKEN` Token element local name
`static java.lang.String` | `NS` Namespace of the response
`static java.lang.String` | `PREFIX` Namespace prefix
`static java.lang.String` | `REASON_TOKEN_MISSING`
`static java.lang.String` | `RESOURCES`
`static java.lang.String` | `SAML_ATTR_EMALADDR`
`static java.lang.String` | `SAML_ATTR_GIVENNAME`
`static java.lang.String` | `SAML_ATTR_PPID`
`static java.lang.String` | `SAML_ATTR_SURNAME`
`static java.lang.String` | `SELF_ISSUER_VALUE` Value of self issuer
`static java.lang.String` | `SERVICE_CONFIG_FROM_ADDRESS`
`static java.lang.String` | `SERVICE_CONFIG_FROM_SUBJECT`
`static java.lang.String` | `SERVICE_CONFIG_SMTP_HOST`
`static java.lang.String` | `SERVICE_CONFIG_SMTP_PORT`
`static java.lang.String` | `SERVLET_ATTR_STATE`
`static java.lang.String` | `STATE_FAILURE`
`static java.lang.String` | `STATE_SUCCESS`

Constructor Summary
`TokenVerifierConstants()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SAML_ATTR_GIVENNAME

    public static final java.lang.String SAML_ATTR_GIVENNAME

See Also:
  Constant Field Values

### SAML_ATTR_SURNAME

    public static final java.lang.String SAML_ATTR_SURNAME

See Also:
  Constant Field Values

### SAML_ATTR_EMALADDR

    public static final java.lang.String SAML_ATTR_EMALADDR

See Also:
  Constant Field Values

### SAML_ATTR_PPID

    public static final java.lang.String SAML_ATTR_PPID

See Also:
  Constant Field Values

### SERVICE_CONFIG_SMTP_HOST

    public static final java.lang.String SERVICE_CONFIG_SMTP_HOST

See Also:
  Constant Field Values

### SERVICE_CONFIG_SMTP_PORT

    public static final java.lang.String SERVICE_CONFIG_SMTP_PORT

See Also:
  Constant Field Values

### SERVICE_CONFIG_FROM_ADDRESS

    public static final java.lang.String SERVICE_CONFIG_FROM_ADDRESS

See Also:
  Constant Field Values

### SERVICE_CONFIG_FROM_SUBJECT

    public static final java.lang.String SERVICE_CONFIG_FROM_SUBJECT

See Also:
  Constant Field Values

### NS

    public static final java.lang.String NS

  Namespace of the response

  See Also:
    Constant Field Values

### PREFIX

    public static final java.lang.String PREFIX

  Namespace prefix

  See Also:
    Constant Field Values

### LN_RESP

    public static final java.lang.String LN_RESP

  Response element local name

  See Also:
    Constant Field Values

### LN_REQ

    public static final java.lang.String LN_REQ

  Request element local name

  See Also:
    Constant Field Values

### LN_TOKEN

    public static final java.lang.String LN_TOKEN

  Token element local name

  See Also:
    Constant Field Values

### LN_ISSUER

    public static final java.lang.String LN_ISSUER

See Also:
  Constant Field Values

### SELF_ISSUER_VALUE

    public static final java.lang.String SELF_ISSUER_VALUE

  Value of self issuer

  See Also:
    Constant Field Values

### LN_PROPERTY

    public static final java.lang.String LN_PROPERTY

  Property element local name

  See Also:
    Constant Field Values

### LN_CERTIFICATE

    public static final java.lang.String LN_CERTIFICATE

See Also:
  Constant Field Values

### LN_SIGNING_CERT

    public static final java.lang.String LN_SIGNING_CERT

See Also:
  Constant Field Values

### LN_ISSUER_INFO

    public static final java.lang.String LN_ISSUER_INFO

See Also:
  Constant Field Values

### LN_PROPERTIES

    public static final java.lang.String LN_PROPERTIES

See Also:
  Constant Field Values

### ATTR_NAME

    public static final java.lang.String ATTR_NAME

  Name attribute of the `Property` element

  See Also:
    Constant Field Values

### ATTR_STATE

    public static final java.lang.String ATTR_STATE

See Also:
  Constant Field Values

### SERVLET_ATTR_STATE

    public static final java.lang.String SERVLET_ATTR_STATE

See Also:
  Constant Field Values

### ISSUER_SELF

    public static final java.lang.String ISSUER_SELF

See Also:
  Constant Field Values

### ISSUER_MANAGED

    public static final java.lang.String ISSUER_MANAGED

See Also:
  Constant Field Values

### ISSUER_INFO

    public static final java.lang.String ISSUER_INFO

See Also:
  Constant Field Values

### STATE_SUCCESS

    public static final java.lang.String STATE_SUCCESS

See Also:
  Constant Field Values

### STATE_FAILURE

    public static final java.lang.String STATE_FAILURE

See Also:
  Constant Field Values

### FAILURE_REASON

    public static final java.lang.String FAILURE_REASON

  Reason for the failure

  See Also:
    Constant Field Values

### REASON_TOKEN_MISSING

    public static final java.lang.String REASON_TOKEN_MISSING

See Also:
  Constant Field Values

### RESOURCES

    public static final java.lang.String RESOURCES

See Also:
  Constant Field Values

Constructor Detail

### TokenVerifierConstants

    public TokenVerifierConstants()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD